#!/bin/sh

DIR=/var/data/hmpc
CC=203
SC=01
SN=`status sys | awk -F ": " '/Serial Number/ { print $2 }'`
MAC=`status lan | awk -F ": " '/MAC Address/ { print $2 }'`

mkdir -p $DIR
if [ -f $DIR/settings.hmpcManuf ]; then
    . $DIR/settings.hmpcManuf
    CC=$MOD_HMPCLIENT_COUNTRYCODE
    SC=$MOD_HMPCLIENT_SITECODE
fi

cat > $DIR/settings.hmpcManuf << EOF
MOD_HMPCLIENT_COUNTRYCODE=$CC
MOD_HMPCLIENT_SITECODE=$SC
MOD_HMPCLIENT_DEVID=$SN
MOD_HMPCLIENT_MACADDRESS=$MAC
EOF
